> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mokaru.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Custom Section

> Update a custom CV section definition

## Overview

Update an existing custom section definition (rename, change icon, change enabled fields).

<Note>
  **Scope required:** `custom-sections:write` | **Rate limit:** 20 requests/min
</Note>

## Request

```bash theme={null}
PATCH /v1/custom-sections/clx...
Content-Type: application/json
```

### Path Parameters

<ParamField path="id" type="string" required>
  Section definition id
</ParamField>

### Body Parameters

<ParamField body="sectionTitle" type="string">
  Section title
</ParamField>

<ParamField body="enabledFields" type="string[]">
  Updated list of enabled fields (at least one). Allowed values: `"title"`, `"subtitle"`, `"organization"`, `"location"`, `"description"`, `"startDate"`, `"endDate"`, `"url"`
</ParamField>

<ParamField body="icon" type="string">
  Lucide icon name
</ParamField>

### Query Parameters

<ParamField query="cvId" type="string">
  Target a specific resume by its id (from `list-resumes`). Omit to use your base/default resume; the resume must be self-contained.
</ParamField>

## Response

```json theme={null}
{
  "success": true,
  "id": "clx..."
}
```
